GNU bug report logs - #41071
make-frame with internal-border face not working

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: 王凯 <wangkai.kaiwk@HIDDEN>; merged with #37832; dated Mon, 4 May 2020 09:19:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 37832 41071. Request was from Alan Third <alan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 41071 <at> debbugs.gnu.org:


Received: (at 41071) by debbugs.gnu.org; 4 May 2020 14:39:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 04 10:39:03 2020
Received: from localhost ([127.0.0.1]:33638 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jVcFL-0001Y3-7W
	for submit <at> debbugs.gnu.org; Mon, 04 May 2020 10:39:03 -0400
Received: from eggs.gnu.org ([209.51.188.92]:45986)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jVcFI-0001Wv-Nv
 for 41071 <at> debbugs.gnu.org; Mon, 04 May 2020 10:39:01 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:59065)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1jVcFC-0003L9-7E; Mon, 04 May 2020 10:38:54 -0400
Received: from [176.228.60.248] (port=1443 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jVcFB-0006gA-LI; Mon, 04 May 2020 10:38:54 -0400
Date: Mon, 04 May 2020 17:38:51 +0300
Message-Id: <838si7ojd0.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: =?utf-8?B?546L5Yev?= <wangkai.kaiwk@HIDDEN>
In-Reply-To: <60D378A0-E76A-4F33-A2AD-7252A8FD915C@HIDDEN> (message
 from =?utf-8?B?546L5Yev?= on Mon, 4 May 2020 15:30:09 +0800)
Subject: Re: bug#41071: make-frame with internal-border face not working
References: <60D378A0-E76A-4F33-A2AD-7252A8FD915C@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 41071
Cc: 41071 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: 王凯 <wangkai.kaiwk@HIDDEN>
> Date: Mon, 4 May 2020 15:30:09 +0800
> 
> (defface test
>   '((t (:inherit default :background "green")))
>   "Face used by the ivy-posframe."
>   :group 'ivy-posframe)
> 
> (set-face-background
> 'internal-border
> (face-attribute 'test :background)
> (make-frame `((internal-border-width . 100)
>                (parent-frame . ,(window-frame)))))
> 
> (set-face-background
> 'internal-border
> (face-attribute 'test :background)
> (make-frame `((internal-border-width . 100))))
> 
> Eval code above in emacs, internal-border-width works but the
> :background not.

It does here, so I guess this could be macOS specific.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41071; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 May 2020 09:18:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 04 05:18:51 2020
Received: from localhost ([127.0.0.1]:58971 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jVXFQ-0003GA-HR
	for submit <at> debbugs.gnu.org; Mon, 04 May 2020 05:18:51 -0400
Received: from lists.gnu.org ([209.51.188.17]:50976)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <wangkai.kaiwk@HIDDEN>) id 1jVVYX-0000X6-Gk
 for submit <at> debbugs.gnu.org; Mon, 04 May 2020 03:30:26 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:60450)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <wangkai.kaiwk@HIDDEN>)
 id 1jVVYV-0000il-71
 for bug-gnu-emacs@HIDDEN; Mon, 04 May 2020 03:30:25 -0400
Received: from mail-pl1-x636.google.com ([2607:f8b0:4864:20::636]:34222)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <wangkai.kaiwk@HIDDEN>)
 id 1jVVYO-0007YY-Cs
 for bug-gnu-emacs@HIDDEN; Mon, 04 May 2020 03:30:17 -0400
Received: by mail-pl1-x636.google.com with SMTP id s10so6468880plr.1
 for <bug-gnu-emacs@HIDDEN>; Mon, 04 May 2020 00:30:15 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=bytedance-com.20150623.gappssmtp.com; s=20150623;
 h=from:content-transfer-encoding:mime-version:subject:message-id:date
 :to; bh=vxZoiKWaaeKPu2/qAhvo0g+Ar2fXeK75admxwjr9aiY=;
 b=nKDpGqPJpc769QNornsMdbBOrHyHRvg2BwysLXRXyUAAucU4XVzj2JsyH6Q9e1JtLW
 rILh+zrkFnQ/QsngcC+jxxWTLrrnDBXmgj2Sg8jx2lm9yyUm1zWoREkfnprOfS+V1CYg
 /kKAZTnyjwe71GoupeZWMO7VYhCDsSayku+t3vLtaZYp2I8gDSF3wRHlKxApMAuiIam+
 su/T/e8pxyE58GBSUWYL1lEt9otkyJ3Xoo3/o27MT4if9Jjp8wloftdyL0yk0eW74HbQ
 f5itO1ERQohcI4tky/yCESlO+uB468/BPsS1MbNhz39S4R/aRA0BIpObY6g+bAr5LPao
 YqnA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:content-transfer-encoding:mime-version
 :subject:message-id:date:to;
 bh=vxZoiKWaaeKPu2/qAhvo0g+Ar2fXeK75admxwjr9aiY=;
 b=A3wLOqbvNmsrfZI7PuLHnfebYJWngcINQuqAD1tsuuMDfoB43mx3bqv3YnMBblDkmV
 NNS9baS8wY8YcztdSUdenBKJTDLicLOgFXHQbM/WxYPkktOAVwtDRO8M570HdUwep7iJ
 zE75OedlkXBnoKQF6Mb0PeRD/D3Io2HMXlY2AHcXR4DvBpFNC83QW1mB77TpasDrcqYX
 wg+3yyDlXU4IvV7JQ09VG6HYLmbFiC++1jM0eaA3U6UO5IohxGwtVFCW4RWX0RpI7Sjq
 mymdkOem45BsCI6Q3SC6nJC6P8gvwXzuFxJbkIf0qL8i+csvpspD4g/uajX38AkD3LUf
 +Pkw==
X-Gm-Message-State: AGi0PuYKaOj5s18fJYT9wRmwR8oDsbmQyXIPQQ7Jl9YXaT4w2PJ3fbNQ
 W0WSUlGu+bG6awb74z1fBwsNc3TBR4fHRg==
X-Google-Smtp-Source: APiQypI72xwoYREGXMahcd4GDP4qNlY3odgOZ0lQphwV33mkbQVS+TjiKT1lXaKDsUNZB7EL+zGGeA==
X-Received: by 2002:a17:902:eb12:: with SMTP id
 l18mr16906309plb.269.1588577413174; 
 Mon, 04 May 2020 00:30:13 -0700 (PDT)
Received: from [10.255.179.121] ([103.136.220.66])
 by smtp.gmail.com with ESMTPSA id j5sm7973835pfh.58.2020.05.04.00.30.11
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-ECDSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 04 May 2020 00:30:12 -0700 (PDT)
From: =?utf-8?B?546L5Yev?= <wangkai.kaiwk@HIDDEN>
Content-Type: text/plain;
	charset=utf-8
Content-Transfer-Encoding: quoted-printable
Mime-Version: 1.0 (Mac OS X Mail 13.0 \(3608.60.0.2.5\))
Subject: make-frame with internal-border face not working
Message-Id: <60D378A0-E76A-4F33-A2AD-7252A8FD915C@HIDDEN>
Date: Mon, 4 May 2020 15:30:09 +0800
To: bug-gnu-emacs@HIDDEN
X-Mailer: Apple Mail (2.3608.60.0.2.5)
Received-SPF: pass client-ip=2607:f8b0:4864:20::636;
 envelope-from=wangkai.kaiwk@HIDDEN; helo=mail-pl1-x636.google.com
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -8
X-Spam_score: -0.9
X-Spam_bar: /
X-Spam_report: (-0.9 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, FROM_EXCESS_BASE64=0.979, RCVD_IN_DNSWL_NONE=-0.0001,
 SPF_PASS=-0.001, URIBL_BLOCKED=0.001 autolearn=_AUTOLEARN
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 04 May 2020 05:18:46 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Message-ID: <m1pnbkupld.fsf@HIDDEN>
--text follows this line--

(defface test
  '((t (:inherit default :background "green")))
  "Face used by the ivy-posframe."
  :group 'ivy-posframe)

(set-face-background
'internal-border
(face-attribute 'test :background)
(make-frame `((internal-border-width . 100)
               (parent-frame . ,(window-frame)))))

(set-face-background
'internal-border
(face-attribute 'test :background)
(make-frame `((internal-border-width . 100))))

Eval code above in emacs, internal-border-width works but the
:background not.



In GNU Emacs 26.3 (build 1, x86_64-apple-darwin19.3.0, NS appkit-1894.30 =
Version 10.15.3 (Build 19D76))
of 2020-05-04 built on venus
Windowing system distributor 'Apple', version 10.3.1894
Recent messages:
Reformatted!
Indenting region...done
Already formatted
Mark set
Saving file /Users/kai/.dotfiles/emacs/.emacs.d/lisp/init-base.el...
Wrote /Users/kai/.dotfiles/emacs/.emacs.d/lisp/init-base.el
(No changes need to be saved) [4 times]
Quit
Switched to =E2=80=98scratch=E2=80=99 state
Undo branch point! [3 times]
next-line: End of buffer [8 times]
Configured using:
'configure --disable-dependency-tracking --disable-silent-rules
--enable-locallisppath=3D/usr/local/share/emacs/site-lisp
--infodir=3D/usr/local/Cellar/emacs-plus/26.3/share/info/emacs
--prefix=3D/usr/local/Cellar/emacs-plus/26.3 --with-xml2 --without-dbus
--with-gnutls --with-imagemagick --with-modules --with-rsvg --with-ns
--disable-ns-self-contained'

Configured features:
JPEG RSVG IMAGEMAGICK GLIB NOTIFY ACL GNUTLS LIBXML2 ZLIB
TOOLKIT_SCROLL_BARS NS MODULES THREADS LCMS2

Important settings:
  value of $LC_ALL: en_US.UTF-8
  value of $LANG: en_CN.UTF-8
  locale-coding-system: utf-8

Major mode: Lisp Interaction

Minor modes in effect:
  diredfl-global-mode: t
  diff-auto-refine-mode: t
  paredit-mode: t
  hl-todo-mode: t
  company-mode: t
  global-undo-tree-mode: t
  undo-tree-mode: t
  midnight-mode: t
  persp-mode: t
  electric-pair-mode: t
  yas-global-mode: t
  yas-minor-mode: t
  auto-image-file-mode: t
  which-key-mode: t
  projectile-mode: t
  state-global-mode: t
  state-mode: t
  helm-descbinds-mode: t
  helm-mode: t
  async-bytecomp-package-mode: t
  helm-autoresize-mode: t
  helm--remap-mouse-mode: t
  global-page-break-lines-mode: t
  page-break-lines-mode: t
  shell-dirtrack-mode: t
  global-anzu-mode: t
  anzu-mode: t
  eval-sexp-fu-flash-mode: t
  savehist-mode: t
  save-place-mode: t
  super-save-mode: t
  global-auto-revert-mode: t
  delete-selection-mode: t
  show-paren-mode: t
  recentf-mode: t
  override-global-mode: t
  auto-compile-on-load-mode: t
  auto-compile-on-save-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
/Users/kai/.emacs.d/elpa-26.3/cmake-mode-20190710.1319/cmake-mode hides =
/usr/local/share/emacs/site-lisp/cmake/cmake-mode
=
/Users/kai/.emacs.d/elpa-26.3/password-store-20200328.1214/password-store =
hides /usr/local/share/emacs/site-lisp/pass/password-store
=
/Users/kai/.emacs.d/elpa-26.3/auth-source-pass-20191126.1242/auth-source-p=
ass hides =
/usr/local/Cellar/emacs-plus/26.3/share/emacs/26.3/lisp/auth-source-pass
~/.emacs.d/lisp/loaddefs hides =
/usr/local/Cellar/emacs-plus/26.3/share/emacs/26.3/lisp/loaddefs
/Users/kai/.emacs.d/elpa-26.3/let-alist-1.0.6/let-alist hides =
/usr/local/Cellar/emacs-plus/26.3/share/emacs/26.3/lisp/emacs-lisp/let-ali=
st

Features:
(shadow sort bbdb-message mail-extr hippie-exp erc-hl-nicks color
erc-button erc-fill erc-stamp erc-goodies erc erc-backend erc-compat
emacsbug message rmc puny rfc822 mml mml-sec gnus-util rmail
rmail-loaddefs mailabbrev gmm-utils mailheader sendmail mail-utils
helm-command executable winner diredfl ls-lisp dired dired-loaddefs
init-helm-dwim helm-x-files helm-for-files helm-bookmark helm-adaptive
bookmark pp helm-external helm-net browse-url xml url url-proxy
url-privacy url-expand url-methods url-history url-cookie url-domsuf
url-util mailcap helm-ls-git vc-git diff-mode vc vc-dispatcher helm-ring
helm-elisp helm-eval edebug helm-info misearch multi-isearch format-all
language-id rect ido-completing-read+ memoize cus-edit cus-start
cus-load minibuf-eldef paredit hl-todo company-oddmuse company-keywords
company-gtags company-dabbrev-code company-dabbrev company-files
company-capf company-cmake company-xcode company-clang company-semantic
company-eclim company-template company-bbdb company-ctags find-file
company pcase undo-tree diff midnight perspective ido yasnippet-snippets
yasnippet elec-pair jka-compr server init-evil init-keybindings
init-other-tools vlf-setup init-emms init-news init-gnus init-email bbdb
bbdb-site timezone image-file init-eshell shell-pop term disp-table
ehelp init-documentation which-key init-translate init-flyspell
init-writting init-ide init-lsp init-web init-lang init-conf
init-functional init-rust init-go init-python virtualenvwrapper gud s
init-git init-projectile helm-projectile projectile ibuf-ext ibuffer
ibuffer-loaddefs init-state state init-flycheck flycheck json map
find-func dash init-yasnippet init-auto-complete init-helm
helm-descbinds helm-xref xref project init-helm-ui helm-mode helm-files
helm-buffers helm-occur helm-tags helm-locate helm-grep wgrep-helm wgrep
grep compile helm-regexp helm-utils helm-help helm-types helm-config
helm-easymenu async-bytecomp helm helm-source helm-multi-match helm-lib
async subr-x init-window windmove init-buffer init-dired init-appearance
default-dark-theme init-modeline page-break-lines init-editor init-tramp
docker-tramp tramp-cache tramp tramp-compat tramp-loaddefs trampver
shell pcomplete comint ansi-color ring parse-time format-spec anzu
thingatpt cl-extra eval-sexp-fu init-base init-preference savehist
saveplace super-save autorevert filenotify delsel paren recentf
tree-widget wid-edit epa-file epa derived epg dim no-littering bind-key
easy-mmode exec-path-from-shell auto-compile packed init-package
autoload quelpa mm-decode mm-bodies mm-encode mail-parse rfc2231 rfc2047
rfc2045 mm-util ietf-drums mail-prsvr lisp-mnt help-fns radix-tree
help-mode finder-inf ede/auto tex-site fix-word gh-common marshal
eieio-compat slime-autoloads rx advice info package easymenu epg-config
url-handlers url-parse auth-source cl-seq eieio eieio-core cl-macs
eieio-loaddefs password-cache url-vars seq byte-opt gv bytecomp
byte-compile cconv init-utils global-variables edmacro kmacro
cl-loaddefs cl-lib time-date tooltip eldoc electric uniquify ediff-hook
vc-hooks lisp-float-type mwheel term/ns-win ns-win ucs-normalize
mule-util term/common-win tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow isearch timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads kqueue cocoa ns lcms2 multi-tty make-network-process
emacs)

Memory information:
((conses 16 625219 428710)
(symbols 48 48673 10)
(miscs 40 113 633)
(strings 32 155960 70216)
(string-bytes 1 4564328)
(vectors 16 76895)
(vector-slots 8 1254498 288474)
(floats 8 344 650)
(intervals 56 1479 391)
(buffers 992 15))




Acknowledgement sent to 王凯 <wangkai.kaiwk@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#41071; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 4 May 2020 21:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.